Completed

Adjust php script for mysql 5

This project was successfully completed by frkSuna for $275 USD in a day.

Get free quotes for a project like this
Employer working
Completed by:
Skills Required
Project Budget
$250 - $750 USD
Completed In
1 day
Total Bids
33
Project Description

I have a script that provides insurance plans and rates online. Site visitor types in age, gender and zip code, and appropriate plans and rates are returned. It works perfectly when associated with mySQL 4.1. It does not work with mySQL 5 and above.
I am seeing the following array warning for starters: "Warning: array_merge() [function.array-merge]: Argument #1 is not an array". I assuming the formating of the arrays are at the heart of the issue, however there could be other issues also. I need an expert to adjust the script to resolve this issue. You will be provided access to two server environments - one running mySQL 4.1 the other mySQL 5.0. I have created a pared down version of the script to simplify things. The script and databases on both servers are the same. the 4.1 returns results properly, the 5.0 does not. This job is complete when the 5.0 server returns the same results as the 4.1 server. The solution must be commented so I can understand what is going on. Thanks.

Looking to make some money?

  • Set your budget and the timeframe
  • Outline your proposal
  • Get paid for your work

Hire Freelancers who also bid on this project

    • Forbes
    • The New York Times
    • Time
    • Wall Street Journal
    • Times Online